Changeset 10300


Ignore:
Timestamp:
Apr 11, 2011, 9:56:27 PM (9 years ago)
Author:
mistic100
Message:

error in the version comparaison for SmiliesSupport

File:
1 edited

Legend:

Unmodified
Added
Removed
  • extensions/bbcode_bar/main.inc.php

    r10014 r10300  
    22/*
    33Plugin Name: BBCode Bar
    4 Version: 2.2.a
     4Version: 2.2.c
    55Description: Allow use BBCode for comments and descriptions.
    66Plugin URI: http://piwigo.org/ext/extension_view.php?eid=140
     
    4848        function bbcode_bar_check_smilies() {
    4949                global $page, $template, $pwg_loaded_plugins;
    50                
     50
    5151                if (
    5252                        ((isset($_GET['page']) AND $_GET['page'] == 'plugins_list') OR (isset($_GET['section']) AND $_GET['section'] == 'bbcode_bar/admin.php'))
    5353                        AND isset($pwg_loaded_plugins['SmiliesSupport'])
    54                         AND version_compare($pwg_loaded_plugins['SmiliesSupport']['version'], '2.2.a') == -1
     54                        AND strcmp($pwg_loaded_plugins['SmiliesSupport']['version'], '2.2.a') == -1
    5555                ) {
    5656                        $page['warnings'][] = "BBCode Bar : SmiliesSupport has been detected, but is not up to date. Version 2.2.a or greater is required. Please update.";
Note: See TracChangeset for help on using the changeset viewer.